include ../../../layout/components/paginacao

div
	filtro-processos(paginacao="cxEntGerente.paginacao",
		disabled-fields="cxEntGerente.disabledFields",
		atualizar-lista="cxEntGerente.atualizarListaProcessos",
		atualizar-paginacao="cxEntGerente.atualizarPaginacao",
		condicao-tramitacao="cxEntGerente.condicaoTramitacao",
		pesquisar-ao-inicializar="true",
		is-gerente="true")

	h4 Lista de protocolos

	hr
	.row
		.col-md-12
			div(ng-if="cxEntGerente.processos && cxEntGerente.processos.length > 0")
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th
							th.col-md-1 Protocolo
							th.col-md-2 CPF/CNPJ
							th.col-md-3 Empreendimento
							th.col-md-2 Município
							th.col-md-1 Licença
							th.col-md-1 Prazo análise
							th.col-md-1.text-right Ações
					tbody
						tr(ng-repeat="processo in cxEntGerente.processos")
							td
								span(ng-class="{'icone-analise-tecnica': processo.idCondicaoTramitacao === cxEntGerente.legendas.AGUARDANDO_VALIDACAO_PELO_GERENTE }")
							td(ng-attr-title="{{processo.numero}}") {{processo.numero }}
							td {{processo.cpfEmpreendimento ? processo.cpfEmpreendimento : processo.cnpjEmpreendimento | brCpfCnpj}}
							td.break-word {{processo.denominacaoEmpreendimento}}
							td {{processo.municipioEmpreendimento}}/{{processo.siglaEstadoEmpreendimento}}
							td {{processo.licencas}}
							td(ng-class="{'error-message': cxEntGerente.dateUtil.verificaPrazoMinimoData(cxEntGerente.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntGerente.PrazoAnalise.ANALISE), cxEntGerente.PrazoMinimoAvisoAnalise.ANALISE)}").text-center
								| {{ cxEntGerente.dateUtil.getContaDiasRestantesData(cxEntGerente.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntGerente.PrazoAnalise.ANALISE)) }}
							td
								span.pull-right

									.dropdown.action-table
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true')
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
											li
												a(ng-click="cxEntGerente.iniciarAnaliseGerente(processo.idAnalise, null, processo.idAnaliseTecnica)")
													i.glyphicon.glyphicon-ok-circle
													span Validar análise técnica
											li

												a(ng-click="cxEntGerente.visualizarProcesso(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar protocolo
				.legenda
					span.col-md-4.icone-analise-tecnica.legenda-margin(style="margin-bottom:23px") Aguardando validação do gerente

				+paginacao('cxEntGerente.paginacao', 'cxEntGerente.onPaginaAlterada')

		.row(ng-show="!cxEntGerente.processos || cxEntGerente.processos.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.
